Skip to content
Docs

Portfolio Manager/Loan Tape V1

Download owned loans by date

GET/external/secure/api/v1/portfolio/download/owned/{assetType}/{layout}/{date}
Request
curl -X GET \
  "https://figure.com/external/secure/api/v1/portfolio/download/owned/{assetType}/{layout}/{date}" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • assetTypestringRequired
  • layoutstringRequired

    CSV layout available for the provided asset type

  • datestring<date>Required

    Cutoff date of requested tape

Query parameters

  • fundingStatusboolean

    Filter for loans by funding status. Options are FUNDED, RECISSION, or ANY. Defaults to FUNDED.

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200CSV record of owned loan data based on the specified asset type, layout, and cutoff date

Returns the file as text/plain.

Response

Returns the file itself (text/plain).